# OpenLayers.Control.OverviewMap

The OverMap control creates a small overview map, useful to display the extent of a zoomed map and your main map and provide additional navigation options to the User. By default the overview map is drawn in the lower right corner of the main map. Create a new overview map with the OpenLayers.Control.OverviewMap constructor.

#### Inerits from

- OpenLayers.Control

Summary

OpenLayers.Control.OverviewMap | The OverMap control creates a small overview map, useful to display the extent of a zoomed map and your main map and provide additional navigation options to the User.
Properties |
ovmap | {OpenLayers.Map} A reference to the overview map itself.
size | {OpenLayers.Size} The overvew map size in pixels.
layers | {Array(OpenLayers.Layer)} Ordered list of layers in the overview map.
minRectSize | {Integer} The minimum width or height (in pixels) of the extent rectangle on the overview map.
minRectDisplayClass | {String} Replacement style class name for the extent rectangle when minRectSize is reached.
minRatio | {Float} The ratio of the overview map resolution to the main map resolution at which to zoom farther out on the overview map.
maxRatio | {Float} The ratio of the overview map resolution to the main map resolution at which to zoom farther in on the overview map.
mapOptions | {Object} An object containing any non-default properties to be sent to the overview map’s map constructor.
autoPan | {Boolean} Always pan the overview map, so the extent marker remains in the center.
maximized | {Boolean} Start as maximized (visible).
Constructor |
OpenLayers.Control.OverviewMap | Create a new overview map
Functions |
destroy | Deconstruct the control

### Properties

### ovmap

{OpenLayers.Map} A reference to the overview map itself.

### size

{OpenLayers.Size} The overvew map size in pixels. Note that this is the size of the map itself - the element that contains the map (default class name olControlOverviewMapElement) may have padding or other style attributes added via CSS.

### layers

{Array(OpenLayers.Layer)} Ordered list of layers in the overview map. If none are sent at construction, the base layer for the main map is used.

### minRectSize

{Integer} The minimum width or height (in pixels) of the extent rectangle on the overview map. When the extent rectangle reaches this size, it will be replaced depending on the value of the minRectDisplayClass property. Default is 15 pixels.

### minRectDisplayClass

{String} Replacement style class name for the extent rectangle when minRectSize is reached. This string will be suffixed on to the displayClass. Default is “RectReplacement”.

#### Example CSS declaration

>     .olControlOverviewMapRectReplacement {
>         overflow: hidden;
>         cursor: move;
>         background-image: url("img/overview_replacement.gif");
>         background-repeat: no-repeat;
>         background-position: center;
>     }

### minRatio

{Float} The ratio of the overview map resolution to the main map resolution at which to zoom farther out on the overview map.

### maxRatio

{Float} The ratio of the overview map resolution to the main map resolution at which to zoom farther in on the overview map.

### mapOptions

{Object} An object containing any non-default properties to be sent to the overview map’s map constructor. These should include any non-default options that the main map was constructed with.

### autoPan

{Boolean} Always pan the overview map, so the extent marker remains in the center. Default is false. If true, when you drag the extent marker, the overview map will update itself so the marker returns to the center.

### maximized

{Boolean} Start as maximized (visible). Defaults to false.

### Constructor

### OpenLayers.Control.OverviewMap

Create a new overview map

#### Parameters

object | {Object} Properties of this object will be set on the overview map object. Note, to set options on the map object contained in this control, set mapOptions as one of the options properties.

### Functions

### destroy

> destroy: function()

Deconstruct the control

Instances of OpenLayers.Map are interactive maps embedded in a web page.
Instances of this class represent a width/height pair
{Integer} The minimum width or height (in pixels) of the extent rectangle on the overview map.

> destroy: function()

Deconstruct the control
Create a new overview map
Controls affect the display or behavior of the map.
{String} Replacement style class name for the extent rectangle when minRectSize is reached.
{Object} An object containing any non-default properties to be sent to the overview map’s map constructor.
Close